Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.0.0.0/2
Usable hosts1,073,741,822
Subnet mask192.0.0.0
Addresses1,073,741,824
Network address
128.0.0.0
Broadcast address
191.255.255.255
First usable
128.0.0.1
Last usable
191.255.255.254
Usable hosts
1,073,741,822 (1,073,741,824 less the network and broadcast addresses)
Subnet mask
192.0.0.0
Wildcard mask
63.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/2
Type
Public public
Old class
B (default /16)
As numbers
Hex 80000000 · Integer 2147483648 to 3221225471
Reverse DNS zones
128.in-addr.arpa
129.in-addr.arpa
130.in-addr.arpa
131.in-addr.arpa
132.in-addr.arpa
133.in-addr.arpa
134.in-addr.arpa
135.in-addr.arpa
136.in-addr.arpa
137.in-addr.arpa
138.in-addr.arpa
139.in-addr.arpa
140.in-addr.arpa
141.in-addr.arpa
142.in-addr.arpa
143.in-addr.arpa
and 48 more
/2 is not on a 8-bit boundary, so it takes 64 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.00000000.00000000.00000000128.0.0.0
Subnet mask11000000.00000000.00000000.00000000192.0.0.0
Network10000000.00000000.00000000.00000000128.0.0.0
Broadcast10111111.11111111.11111111.11111111191.255.255.255
Split into smaller subnets/13

128.0.0.0/2 makes 2,048 subnets of /13; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.0.0.0/13128.0.0.1 to 128.7.255.254128.7.255.255524,286
2128.8.0.0/13128.8.0.1 to 128.15.255.254128.15.255.255524,286
3128.16.0.0/13128.16.0.1 to 128.23.255.254128.23.255.255524,286
4128.24.0.0/13128.24.0.1 to 128.31.255.254128.31.255.255524,286
5128.32.0.0/13128.32.0.1 to 128.39.255.254128.39.255.255524,286
6128.40.0.0/13128.40.0.1 to 128.47.255.254128.47.255.255524,286
7128.48.0.0/13128.48.0.1 to 128.55.255.254128.55.255.255524,286
8128.56.0.0/13128.56.0.1 to 128.63.255.254128.63.255.255524,286
9128.64.0.0/13128.64.0.1 to 128.71.255.254128.71.255.255524,286
10128.72.0.0/13128.72.0.1 to 128.79.255.254128.79.255.255524,286
11128.80.0.0/13128.80.0.1 to 128.87.255.254128.87.255.255524,286
12128.88.0.0/13128.88.0.1 to 128.95.255.254128.95.255.255524,286
13128.96.0.0/13128.96.0.1 to 128.103.255.254128.103.255.255524,286
14128.104.0.0/13128.104.0.1 to 128.111.255.254128.111.255.255524,286
15128.112.0.0/13128.112.0.1 to 128.119.255.254128.119.255.255524,286
16128.120.0.0/13128.120.0.1 to 128.127.255.254128.127.255.255524,286
17128.128.0.0/13128.128.0.1 to 128.135.255.254128.135.255.255524,286
18128.136.0.0/13128.136.0.1 to 128.143.255.254128.143.255.255524,286
19128.144.0.0/13128.144.0.1 to 128.151.255.254128.151.255.255524,286
20128.152.0.0/13128.152.0.1 to 128.159.255.254128.159.255.255524,286
21128.160.0.0/13128.160.0.1 to 128.167.255.254128.167.255.255524,286
22128.168.0.0/13128.168.0.1 to 128.175.255.254128.175.255.255524,286
23128.176.0.0/13128.176.0.1 to 128.183.255.254128.183.255.255524,286
24128.184.0.0/13128.184.0.1 to 128.191.255.254128.191.255.255524,286
25128.192.0.0/13128.192.0.1 to 128.199.255.254128.199.255.255524,286
26128.200.0.0/13128.200.0.1 to 128.207.255.254128.207.255.255524,286
27128.208.0.0/13128.208.0.1 to 128.215.255.254128.215.255.255524,286
28128.216.0.0/13128.216.0.1 to 128.223.255.254128.223.255.255524,286
29128.224.0.0/13128.224.0.1 to 128.231.255.254128.231.255.255524,286
30128.232.0.0/13128.232.0.1 to 128.239.255.254128.239.255.255524,286
31128.240.0.0/13128.240.0.1 to 128.247.255.254128.247.255.255524,286
32128.248.0.0/13128.248.0.1 to 128.255.255.254128.255.255.255524,286
33129.0.0.0/13129.0.0.1 to 129.7.255.254129.7.255.255524,286
34129.8.0.0/13129.8.0.1 to 129.15.255.254129.15.255.255524,286
35129.16.0.0/13129.16.0.1 to 129.23.255.254129.23.255.255524,286
36129.24.0.0/13129.24.0.1 to 129.31.255.254129.31.255.255524,286
37129.32.0.0/13129.32.0.1 to 129.39.255.254129.39.255.255524,286
38129.40.0.0/13129.40.0.1 to 129.47.255.254129.47.255.255524,286
39129.48.0.0/13129.48.0.1 to 129.55.255.254129.55.255.255524,286
40129.56.0.0/13129.56.0.1 to 129.63.255.254129.63.255.255524,286
41129.64.0.0/13129.64.0.1 to 129.71.255.254129.71.255.255524,286
42129.72.0.0/13129.72.0.1 to 129.79.255.254129.79.255.255524,286
43129.80.0.0/13129.80.0.1 to 129.87.255.254129.87.255.255524,286
44129.88.0.0/13129.88.0.1 to 129.95.255.254129.95.255.255524,286
45129.96.0.0/13129.96.0.1 to 129.103.255.254129.103.255.255524,286
46129.104.0.0/13129.104.0.1 to 129.111.255.254129.111.255.255524,286
47129.112.0.0/13129.112.0.1 to 129.119.255.254129.119.255.255524,286
48129.120.0.0/13129.120.0.1 to 129.127.255.254129.127.255.255524,286
49129.128.0.0/13129.128.0.1 to 129.135.255.254129.135.255.255524,286
50129.136.0.0/13129.136.0.1 to 129.143.255.254129.143.255.255524,286
51129.144.0.0/13129.144.0.1 to 129.151.255.254129.151.255.255524,286
52129.152.0.0/13129.152.0.1 to 129.159.255.254129.159.255.255524,286
53129.160.0.0/13129.160.0.1 to 129.167.255.254129.167.255.255524,286
54129.168.0.0/13129.168.0.1 to 129.175.255.254129.175.255.255524,286
55129.176.0.0/13129.176.0.1 to 129.183.255.254129.183.255.255524,286
56129.184.0.0/13129.184.0.1 to 129.191.255.254129.191.255.255524,286
57129.192.0.0/13129.192.0.1 to 129.199.255.254129.199.255.255524,286
58129.200.0.0/13129.200.0.1 to 129.207.255.254129.207.255.255524,286
59129.208.0.0/13129.208.0.1 to 129.215.255.254129.215.255.255524,286
60129.216.0.0/13129.216.0.1 to 129.223.255.254129.223.255.255524,286
61129.224.0.0/13129.224.0.1 to 129.231.255.254129.231.255.255524,286
62129.232.0.0/13129.232.0.1 to 129.239.255.254129.239.255.255524,286
63129.240.0.0/13129.240.0.1 to 129.247.255.254129.247.255.255524,286
64129.248.0.0/13129.248.0.1 to 129.255.255.254129.255.255.255524,286
65130.0.0.0/13130.0.0.1 to 130.7.255.254130.7.255.255524,286
66130.8.0.0/13130.8.0.1 to 130.15.255.254130.15.255.255524,286
67130.16.0.0/13130.16.0.1 to 130.23.255.254130.23.255.255524,286
68130.24.0.0/13130.24.0.1 to 130.31.255.254130.31.255.255524,286
69130.32.0.0/13130.32.0.1 to 130.39.255.254130.39.255.255524,286
70130.40.0.0/13130.40.0.1 to 130.47.255.254130.47.255.255524,286
71130.48.0.0/13130.48.0.1 to 130.55.255.254130.55.255.255524,286
72130.56.0.0/13130.56.0.1 to 130.63.255.254130.63.255.255524,286
73130.64.0.0/13130.64.0.1 to 130.71.255.254130.71.255.255524,286
74130.72.0.0/13130.72.0.1 to 130.79.255.254130.79.255.255524,286
75130.80.0.0/13130.80.0.1 to 130.87.255.254130.87.255.255524,286
76130.88.0.0/13130.88.0.1 to 130.95.255.254130.95.255.255524,286
77130.96.0.0/13130.96.0.1 to 130.103.255.254130.103.255.255524,286
78130.104.0.0/13130.104.0.1 to 130.111.255.254130.111.255.255524,286
79130.112.0.0/13130.112.0.1 to 130.119.255.254130.119.255.255524,286
80130.120.0.0/13130.120.0.1 to 130.127.255.254130.127.255.255524,286
81130.128.0.0/13130.128.0.1 to 130.135.255.254130.135.255.255524,286
82130.136.0.0/13130.136.0.1 to 130.143.255.254130.143.255.255524,286
83130.144.0.0/13130.144.0.1 to 130.151.255.254130.151.255.255524,286
84130.152.0.0/13130.152.0.1 to 130.159.255.254130.159.255.255524,286
85130.160.0.0/13130.160.0.1 to 130.167.255.254130.167.255.255524,286
86130.168.0.0/13130.168.0.1 to 130.175.255.254130.175.255.255524,286
87130.176.0.0/13130.176.0.1 to 130.183.255.254130.183.255.255524,286
88130.184.0.0/13130.184.0.1 to 130.191.255.254130.191.255.255524,286
89130.192.0.0/13130.192.0.1 to 130.199.255.254130.199.255.255524,286
90130.200.0.0/13130.200.0.1 to 130.207.255.254130.207.255.255524,286
91130.208.0.0/13130.208.0.1 to 130.215.255.254130.215.255.255524,286
92130.216.0.0/13130.216.0.1 to 130.223.255.254130.223.255.255524,286
93130.224.0.0/13130.224.0.1 to 130.231.255.254130.231.255.255524,286
94130.232.0.0/13130.232.0.1 to 130.239.255.254130.239.255.255524,286
95130.240.0.0/13130.240.0.1 to 130.247.255.254130.247.255.255524,286
96130.248.0.0/13130.248.0.1 to 130.255.255.254130.255.255.255524,286
97131.0.0.0/13131.0.0.1 to 131.7.255.254131.7.255.255524,286
98131.8.0.0/13131.8.0.1 to 131.15.255.254131.15.255.255524,286
99131.16.0.0/13131.16.0.1 to 131.23.255.254131.23.255.255524,286
100131.24.0.0/13131.24.0.1 to 131.31.255.254131.31.255.255524,286
101131.32.0.0/13131.32.0.1 to 131.39.255.254131.39.255.255524,286
102131.40.0.0/13131.40.0.1 to 131.47.255.254131.47.255.255524,286
103131.48.0.0/13131.48.0.1 to 131.55.255.254131.55.255.255524,286
104131.56.0.0/13131.56.0.1 to 131.63.255.254131.63.255.255524,286
105131.64.0.0/13131.64.0.1 to 131.71.255.254131.71.255.255524,286
106131.72.0.0/13131.72.0.1 to 131.79.255.254131.79.255.255524,286
107131.80.0.0/13131.80.0.1 to 131.87.255.254131.87.255.255524,286
108131.88.0.0/13131.88.0.1 to 131.95.255.254131.95.255.255524,286
109131.96.0.0/13131.96.0.1 to 131.103.255.254131.103.255.255524,286
110131.104.0.0/13131.104.0.1 to 131.111.255.254131.111.255.255524,286
111131.112.0.0/13131.112.0.1 to 131.119.255.254131.119.255.255524,286
112131.120.0.0/13131.120.0.1 to 131.127.255.254131.127.255.255524,286
113131.128.0.0/13131.128.0.1 to 131.135.255.254131.135.255.255524,286
114131.136.0.0/13131.136.0.1 to 131.143.255.254131.143.255.255524,286
115131.144.0.0/13131.144.0.1 to 131.151.255.254131.151.255.255524,286
116131.152.0.0/13131.152.0.1 to 131.159.255.254131.159.255.255524,286
117131.160.0.0/13131.160.0.1 to 131.167.255.254131.167.255.255524,286
118131.168.0.0/13131.168.0.1 to 131.175.255.254131.175.255.255524,286
119131.176.0.0/13131.176.0.1 to 131.183.255.254131.183.255.255524,286
120131.184.0.0/13131.184.0.1 to 131.191.255.254131.191.255.255524,286
121131.192.0.0/13131.192.0.1 to 131.199.255.254131.199.255.255524,286
122131.200.0.0/13131.200.0.1 to 131.207.255.254131.207.255.255524,286
123131.208.0.0/13131.208.0.1 to 131.215.255.254131.215.255.255524,286
124131.216.0.0/13131.216.0.1 to 131.223.255.254131.223.255.255524,286
125131.224.0.0/13131.224.0.1 to 131.231.255.254131.231.255.255524,286
126131.232.0.0/13131.232.0.1 to 131.239.255.254131.239.255.255524,286
127131.240.0.0/13131.240.0.1 to 131.247.255.254131.247.255.255524,286
128131.248.0.0/13131.248.0.1 to 131.255.255.254131.255.255.255524,286
129132.0.0.0/13132.0.0.1 to 132.7.255.254132.7.255.255524,286
130132.8.0.0/13132.8.0.1 to 132.15.255.254132.15.255.255524,286
131132.16.0.0/13132.16.0.1 to 132.23.255.254132.23.255.255524,286
132132.24.0.0/13132.24.0.1 to 132.31.255.254132.31.255.255524,286
133132.32.0.0/13132.32.0.1 to 132.39.255.254132.39.255.255524,286
134132.40.0.0/13132.40.0.1 to 132.47.255.254132.47.255.255524,286
135132.48.0.0/13132.48.0.1 to 132.55.255.254132.55.255.255524,286
136132.56.0.0/13132.56.0.1 to 132.63.255.254132.63.255.255524,286
137132.64.0.0/13132.64.0.1 to 132.71.255.254132.71.255.255524,286
138132.72.0.0/13132.72.0.1 to 132.79.255.254132.79.255.255524,286
139132.80.0.0/13132.80.0.1 to 132.87.255.254132.87.255.255524,286
140132.88.0.0/13132.88.0.1 to 132.95.255.254132.95.255.255524,286
141132.96.0.0/13132.96.0.1 to 132.103.255.254132.103.255.255524,286
142132.104.0.0/13132.104.0.1 to 132.111.255.254132.111.255.255524,286
143132.112.0.0/13132.112.0.1 to 132.119.255.254132.119.255.255524,286
144132.120.0.0/13132.120.0.1 to 132.127.255.254132.127.255.255524,286
145132.128.0.0/13132.128.0.1 to 132.135.255.254132.135.255.255524,286
146132.136.0.0/13132.136.0.1 to 132.143.255.254132.143.255.255524,286
147132.144.0.0/13132.144.0.1 to 132.151.255.254132.151.255.255524,286
148132.152.0.0/13132.152.0.1 to 132.159.255.254132.159.255.255524,286
149132.160.0.0/13132.160.0.1 to 132.167.255.254132.167.255.255524,286
150132.168.0.0/13132.168.0.1 to 132.175.255.254132.175.255.255524,286
151132.176.0.0/13132.176.0.1 to 132.183.255.254132.183.255.255524,286
152132.184.0.0/13132.184.0.1 to 132.191.255.254132.191.255.255524,286
153132.192.0.0/13132.192.0.1 to 132.199.255.254132.199.255.255524,286
154132.200.0.0/13132.200.0.1 to 132.207.255.254132.207.255.255524,286
155132.208.0.0/13132.208.0.1 to 132.215.255.254132.215.255.255524,286
156132.216.0.0/13132.216.0.1 to 132.223.255.254132.223.255.255524,286
157132.224.0.0/13132.224.0.1 to 132.231.255.254132.231.255.255524,286
158132.232.0.0/13132.232.0.1 to 132.239.255.254132.239.255.255524,286
159132.240.0.0/13132.240.0.1 to 132.247.255.254132.247.255.255524,286
160132.248.0.0/13132.248.0.1 to 132.255.255.254132.255.255.255524,286
161133.0.0.0/13133.0.0.1 to 133.7.255.254133.7.255.255524,286
162133.8.0.0/13133.8.0.1 to 133.15.255.254133.15.255.255524,286
163133.16.0.0/13133.16.0.1 to 133.23.255.254133.23.255.255524,286
164133.24.0.0/13133.24.0.1 to 133.31.255.254133.31.255.255524,286
165133.32.0.0/13133.32.0.1 to 133.39.255.254133.39.255.255524,286
166133.40.0.0/13133.40.0.1 to 133.47.255.254133.47.255.255524,286
167133.48.0.0/13133.48.0.1 to 133.55.255.254133.55.255.255524,286
168133.56.0.0/13133.56.0.1 to 133.63.255.254133.63.255.255524,286
169133.64.0.0/13133.64.0.1 to 133.71.255.254133.71.255.255524,286
170133.72.0.0/13133.72.0.1 to 133.79.255.254133.79.255.255524,286
171133.80.0.0/13133.80.0.1 to 133.87.255.254133.87.255.255524,286
172133.88.0.0/13133.88.0.1 to 133.95.255.254133.95.255.255524,286
173133.96.0.0/13133.96.0.1 to 133.103.255.254133.103.255.255524,286
174133.104.0.0/13133.104.0.1 to 133.111.255.254133.111.255.255524,286
175133.112.0.0/13133.112.0.1 to 133.119.255.254133.119.255.255524,286
176133.120.0.0/13133.120.0.1 to 133.127.255.254133.127.255.255524,286
177133.128.0.0/13133.128.0.1 to 133.135.255.254133.135.255.255524,286
178133.136.0.0/13133.136.0.1 to 133.143.255.254133.143.255.255524,286
179133.144.0.0/13133.144.0.1 to 133.151.255.254133.151.255.255524,286
180133.152.0.0/13133.152.0.1 to 133.159.255.254133.159.255.255524,286
181133.160.0.0/13133.160.0.1 to 133.167.255.254133.167.255.255524,286
182133.168.0.0/13133.168.0.1 to 133.175.255.254133.175.255.255524,286
183133.176.0.0/13133.176.0.1 to 133.183.255.254133.183.255.255524,286
184133.184.0.0/13133.184.0.1 to 133.191.255.254133.191.255.255524,286
185133.192.0.0/13133.192.0.1 to 133.199.255.254133.199.255.255524,286
186133.200.0.0/13133.200.0.1 to 133.207.255.254133.207.255.255524,286
187133.208.0.0/13133.208.0.1 to 133.215.255.254133.215.255.255524,286
188133.216.0.0/13133.216.0.1 to 133.223.255.254133.223.255.255524,286
189133.224.0.0/13133.224.0.1 to 133.231.255.254133.231.255.255524,286
190133.232.0.0/13133.232.0.1 to 133.239.255.254133.239.255.255524,286
191133.240.0.0/13133.240.0.1 to 133.247.255.254133.247.255.255524,286
192133.248.0.0/13133.248.0.1 to 133.255.255.254133.255.255.255524,286
193134.0.0.0/13134.0.0.1 to 134.7.255.254134.7.255.255524,286
194134.8.0.0/13134.8.0.1 to 134.15.255.254134.15.255.255524,286
195134.16.0.0/13134.16.0.1 to 134.23.255.254134.23.255.255524,286
196134.24.0.0/13134.24.0.1 to 134.31.255.254134.31.255.255524,286
197134.32.0.0/13134.32.0.1 to 134.39.255.254134.39.255.255524,286
198134.40.0.0/13134.40.0.1 to 134.47.255.254134.47.255.255524,286
199134.48.0.0/13134.48.0.1 to 134.55.255.254134.55.255.255524,286
200134.56.0.0/13134.56.0.1 to 134.63.255.254134.63.255.255524,286
201134.64.0.0/13134.64.0.1 to 134.71.255.254134.71.255.255524,286
202134.72.0.0/13134.72.0.1 to 134.79.255.254134.79.255.255524,286
203134.80.0.0/13134.80.0.1 to 134.87.255.254134.87.255.255524,286
204134.88.0.0/13134.88.0.1 to 134.95.255.254134.95.255.255524,286
205134.96.0.0/13134.96.0.1 to 134.103.255.254134.103.255.255524,286
206134.104.0.0/13134.104.0.1 to 134.111.255.254134.111.255.255524,286
207134.112.0.0/13134.112.0.1 to 134.119.255.254134.119.255.255524,286
208134.120.0.0/13134.120.0.1 to 134.127.255.254134.127.255.255524,286
209134.128.0.0/13134.128.0.1 to 134.135.255.254134.135.255.255524,286
210134.136.0.0/13134.136.0.1 to 134.143.255.254134.143.255.255524,286
211134.144.0.0/13134.144.0.1 to 134.151.255.254134.151.255.255524,286
212134.152.0.0/13134.152.0.1 to 134.159.255.254134.159.255.255524,286
213134.160.0.0/13134.160.0.1 to 134.167.255.254134.167.255.255524,286
214134.168.0.0/13134.168.0.1 to 134.175.255.254134.175.255.255524,286
215134.176.0.0/13134.176.0.1 to 134.183.255.254134.183.255.255524,286
216134.184.0.0/13134.184.0.1 to 134.191.255.254134.191.255.255524,286
217134.192.0.0/13134.192.0.1 to 134.199.255.254134.199.255.255524,286
218134.200.0.0/13134.200.0.1 to 134.207.255.254134.207.255.255524,286
219134.208.0.0/13134.208.0.1 to 134.215.255.254134.215.255.255524,286
220134.216.0.0/13134.216.0.1 to 134.223.255.254134.223.255.255524,286
221134.224.0.0/13134.224.0.1 to 134.231.255.254134.231.255.255524,286
222134.232.0.0/13134.232.0.1 to 134.239.255.254134.239.255.255524,286
223134.240.0.0/13134.240.0.1 to 134.247.255.254134.247.255.255524,286
224134.248.0.0/13134.248.0.1 to 134.255.255.254134.255.255.255524,286
225135.0.0.0/13135.0.0.1 to 135.7.255.254135.7.255.255524,286
226135.8.0.0/13135.8.0.1 to 135.15.255.254135.15.255.255524,286
227135.16.0.0/13135.16.0.1 to 135.23.255.254135.23.255.255524,286
228135.24.0.0/13135.24.0.1 to 135.31.255.254135.31.255.255524,286
229135.32.0.0/13135.32.0.1 to 135.39.255.254135.39.255.255524,286
230135.40.0.0/13135.40.0.1 to 135.47.255.254135.47.255.255524,286
231135.48.0.0/13135.48.0.1 to 135.55.255.254135.55.255.255524,286
232135.56.0.0/13135.56.0.1 to 135.63.255.254135.63.255.255524,286
233135.64.0.0/13135.64.0.1 to 135.71.255.254135.71.255.255524,286
234135.72.0.0/13135.72.0.1 to 135.79.255.254135.79.255.255524,286
235135.80.0.0/13135.80.0.1 to 135.87.255.254135.87.255.255524,286
236135.88.0.0/13135.88.0.1 to 135.95.255.254135.95.255.255524,286
237135.96.0.0/13135.96.0.1 to 135.103.255.254135.103.255.255524,286
238135.104.0.0/13135.104.0.1 to 135.111.255.254135.111.255.255524,286
239135.112.0.0/13135.112.0.1 to 135.119.255.254135.119.255.255524,286
240135.120.0.0/13135.120.0.1 to 135.127.255.254135.127.255.255524,286
241135.128.0.0/13135.128.0.1 to 135.135.255.254135.135.255.255524,286
242135.136.0.0/13135.136.0.1 to 135.143.255.254135.143.255.255524,286
243135.144.0.0/13135.144.0.1 to 135.151.255.254135.151.255.255524,286
244135.152.0.0/13135.152.0.1 to 135.159.255.254135.159.255.255524,286
245135.160.0.0/13135.160.0.1 to 135.167.255.254135.167.255.255524,286
246135.168.0.0/13135.168.0.1 to 135.175.255.254135.175.255.255524,286
247135.176.0.0/13135.176.0.1 to 135.183.255.254135.183.255.255524,286
248135.184.0.0/13135.184.0.1 to 135.191.255.254135.191.255.255524,286
249135.192.0.0/13135.192.0.1 to 135.199.255.254135.199.255.255524,286
250135.200.0.0/13135.200.0.1 to 135.207.255.254135.207.255.255524,286
251135.208.0.0/13135.208.0.1 to 135.215.255.254135.215.255.255524,286
252135.216.0.0/13135.216.0.1 to 135.223.255.254135.223.255.255524,286
253135.224.0.0/13135.224.0.1 to 135.231.255.254135.231.255.255524,286
254135.232.0.0/13135.232.0.1 to 135.239.255.254135.239.255.255524,286
255135.240.0.0/13135.240.0.1 to 135.247.255.254135.247.255.255524,286
256135.248.0.0/13135.248.0.1 to 135.255.255.254135.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses